const defaultTheme = require('tailwindcss/defaultTheme')
const colors = require('tailwindcss/colors')

module.exports = {
    mode: 'jit', // Just-In-Time Compiler
    purge: [
        // prettier-ignore
        './resources/**/*.blade.php',
        './resources/**/*.js',
        './resources/**/*.vue',
    ],
    darkMode: false, // or 'media' or 'class'
    theme: {
        boxShadow: {
            classic: '0px 0px 30px rgba(0, 0, 0, 0.3)',
            classic2: '0px 0px 30px rgba(242, 102, 39, 0.35)',
            pink: '0px 0px 30px rgba(242, 39, 76, 0.35)',
            sm: '0 1px 2px 0 rgba(0, 0, 0, 0.05)',
            DEFAULT: '0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)',
            md: '0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)',
            lg: '0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05)',
            xl: '0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04)',
            '2xl': '0 25px 50px -12px rgba(0, 0, 0, 0.25)',
            '3xl': '0 35px 60px -15px rgba(0, 0, 0, 0.3)',
            inner: 'inset 0 2px 4px 0 rgba(0, 0, 0, 0.06)',
            none: 'none',
        },
        colors: {
            transparent: 'transparent',
            current: 'currentColor',
            white: colors.white,
            gray: '#E2E1E1',
            pink: '#F2274C',
            green: '#27AE60',
            red: '#EB5757',
            'gray-light': '#B2BFC8',
            orange: '#F26627',
            'orange-dark': '#B74F20',
            'orange-min': '#e65513',
            purple: '#5c3d5c',
            indigo: {
                100: '#6C596B',
                200: '#5B475A',
                300: '#2C2236',
                400: '#463245',
            },
        },

        extend: {
            fontSize: {
                'xxs': '.65rem',
            },
            fontFamily: {
                sans: ['IBM Plex Sans', ...defaultTheme.fontFamily.sans],
            },
        },
    },
    variants: {
        extend: {},
    },
    plugins: [
        require('@tailwindcss/forms'),
        require('@tailwindcss/aspect-ratio'),
    ],
}
